using System;

namespace Server.Items
{
	[Furniture]
	[FlipableAttribute(0xEBC, 0xEBB)]
	public class TallMusicStand : Item
	{
		[Constructable]
		public TallMusicStand() : base(0xEBC)
		{
			Weight = 10.0;
		}

		public TallMusicStand(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 8.0 )
				Weight = 10.0;
		}
	}

	[Furniture]
	[FlipableAttribute(0xEB8,0xEB6)]
	public class ShortMusicStand : Item
	{
		[Constructable]
		public ShortMusicStand() : base(0xEB8)
		{
			Weight = 10.0;
		}

		public ShortMusicStand(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 6.0 )
				Weight = 10.0;
		}
	}
}
